Contact details
Show details for a contact
Contact Attributes
name(string) - The name of the contactemail(string) - The email of the contact, must be a valid and deliverable email addressaddress_line_1(string) - The first line of the contact’s addressaddress_line_2(string) - The second line of the contact’s addressaddress_city(string) - The city of the contact’s addressaddress_country(string) - The country of the contact’s addressaddress_state(string) - The state of the contact’s addressaddress_zip(string) - The zip code of the contact’s addressphone_number(string) - The phone number of the contactbusiness_number(string) - The business phone number of the contactsubscribed(boolean) - Whether the contact has opted in to receive marketing communications from the siteexternal_user_id(string) - The external user ID of the contact/customer; this field is only updatable if the contact has been granted an offer or made a purchasecreated_at(string) - The date and time the contact was createdupdated_at(string) - The date and time the contact was last updated
Including Relationships
Use the include parameter to include related resources in the response:
GET /v1/contacts/123?include=offers,tags,customer
Response will include the related contact offers, tags and customer resources
Sparse Fields
Use the fields[contacts] parameter to get specific fields for a contact:
GET /v1/contacts/123?fields[contacts]=name,email
Response will include only requested fields for the contact
Using Multiple Parameters Together
You can combine multiple parameters to include related resources and get specific fields for a contact:
GET /v1/contacts/123?include=customer&fields[contacts]=email&fields[customers]=net_revenue
Response will include the related customer resource and only requested fields for the contact and customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
with ?include=offers,tags,customer the response will include the related contact offers, tags and customer resources
Sparse fields, use: name, email for example ?fields[contacts]=name,email